#[Office UI Fabric Core](http://dev.office.com/fabric)

#####The front-end framework for building experiences for Office and Office 365.

Fabric is a responsive, mobile-first collection of styles and tools designed to make it quick and simple for you to create web experiences using the Office Design Language.

**Please note:** We are currently moving the components into their own repo as [Office UI Fabric JS](https://github.com/OfficeDev/office-ui-fabric-js). If you have any issues related to components or would like to submit a pull request, please do so there. This repository contains the core styles used across all aspects of Fabric including icons, type, fonts, colors, the grid, etc.

##Contents

- [Get started](#get-started)
- [Learn more](#learn-more)
- [Contribute to Fabric](#contribute-to-fabric)
- [Licenses](#licenses)
- [Changelog](#changelog)


##Get started
For a quick start, reference the latest release of Fabric from a CDN or add a copy to your project. See [Get Started](http://dev.office.com/fabric/get-started) on the [Office UI Fabric site](http://dev.office.com/fabric) for full details.

Want to customize Fabric for your project? See [Building Fabric](https://github.com/OfficeDev/Office-UI-Fabric/blob/master/ghdocs/BUILDING.md) to learn about the build process.


##Learn more

New to Fabric? Start with [What is Office UI Fabric?](http://dev.office.com/fabric/what-is-fabric) to understand its purpose, and then explore the full set of [styles](http://dev.office.com/fabric/styles) and [components](http://dev.office.com/fabric/components) to get a feel for what you can build. Components come in two flavors provided by the Fabric team: [JavaScript (Office UI Fabric JS)](https://github.com/OfficeDev/office-ui-fabric-js) and [React (Office UI Fabric React)](https://github.com/OfficeDev/office-ui-fabric-react).

When you're ready to create a simple app or Office Add-in with Fabric, follow along with the [Fabric Tutorial](https://github.com/OfficeDev/Office-UI-Fabric/blob/master/ghdocs/TUTORIAL.md) or [Use Office UI Fabric with Office Add-ins on MSDN](https://msdn.microsoft.com/EN-US/library/office/mt450443.aspx).


##Contribute to Fabric

Bug reports, feature requests, and questions are posted on the [issue tracker](https://github.com/OfficeDev/Office-UI-Fabric/issues). For details on our contribution process and how we label issues, see our [Contributing](https://github.com/OfficeDev/Office-UI-Fabric/blob/master/ghdocs/CONTRIBUTING.md) page.


##Licenses

All files on the Office UI Fabric GitHub repository are subject to the MIT license. Please read the License file at the root of the project. Usage of the fonts referenced on Office UI Fabric files is subject to the [license](http://aka.ms/fabric-font-license).


##Changelog
We use [GitHub Releases](https://github.com/blog/1547-release-your-software) to manage our releases, including the changelog between every release. View a complete list of additions, fixes, and changes since 1.0 on the [releases](https://github.com/OfficeDev/Office-UI-Fabric/releases) page.

- - - 

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/). For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.
